PriorityFilter (LogKit API)
Keywords: org.apache.log.filter.PriorityFilter,PriorityFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.filter
Class PriorityFilter

    java.lang.Object
      |
      +--org.apache.log.filter.AbstractFilterTarget
            |
            +--org.apache.log.filter.PriorityFilter

All Implemented Interfaces:
  FilterTarget, LogTarget

public class PriorityFilter
extends AbstractFilterTarget

Filters log events based on priority.

Author:
  Peter Donald

Constructor Summary
`PriorityFilter(Priority priority)` Constructor that sets the priority that is filtered against.

Method Summary
`protected boolean` | `filter(LogEvent event)` Filter the log event based on priority.
`void` | `setPriority(Priority priority)` Set priority used to filter.

Methods inherited from class org.apache.log.filter.AbstractFilterTarget
`addTarget, processEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PriorityFilter

    public PriorityFilter(Priority priority)

  Constructor that sets the priority that is filtered against.

Parameters:
  `priority` - the Priority

Method Detail

### setPriority

    public void setPriority(Priority priority)

  Set priority used to filter.

  Parameters:
    `priority` - the priority to filter on

### filter

    protected boolean filter(LogEvent event)

  Filter the log event based on priority. If LogEvent has a Lower or Equal priroity then discard it.

  Specified by:
    `filter` in class `AbstractFilterTarget`
  Parameters:
    `event` - the event
  Returns:
    return true to discard event, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.